lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'almicube/version'

Gem::Specification.new do |spec|
  spec.name          = "almicube"
  spec.version       = Almicube::VERSION
  spec.authors       = ["niaeashes"]
  spec.email         = ["nia.eashes@gmail.com"]
  spec.summary       = "Ranking extension for your model"
  spec.description   = "Provide raking system for your ActiveRecord Model on Rails 4 with SortedSet of Redis DataBase."
  spec.homepage      = "https://github.com/niaeashes/almicube"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "redis", "~> 3.0"
  spec.add_dependency "activesupport", "~> 4.0"
  spec.add_dependency "activemodel", "~> 4.0"

  spec.add_development_dependency "rspec", "~> 2.0"
  spec.add_development_dependency "simplecov"
end
