require 'spec_helper'

describe Almicube::Selector::AllSelector do
  let(:ranking) { double( class_name: MockModel ) }

  describe "#data_probider?" do
    it { expect(described_class.new).to be_data_provider }
  end

  describe "#records" do
    let(:selector) { described_class.new }
    before { selector.ranking = ranking }
    it "should send :all an instance of MockModel" do
      MockModel.should_receive(:all)
      selector.records
    end
  end

  describe "#label" do
    let(:selector) { described_class.new }
    it { expect(selector.label).to eq :data }
  end

  it_behaves_like "ranking cog" do
    let(:target) { described_class.new }
  end
end
