$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__)))

require 'bundler/setup'
Bundler.require

require 'simplecov'
SimpleCov.start 'rails' do
  add_filter '/tmp/'
  add_filter '/spec/'
end

Dir[File.join(File.dirname(__FILE__), "supports", "*.rb")].each {|f| require f}
Dir[File.join(File.dirname(__FILE__), "mocks", "*.rb")].each {|f| require f}

RSpec.configure do |config|
end
