shared_examples "ranking cog" do
  let(:ranking) { Almicube::Ranking::DataRanking.new }
  describe "#ranking=" do
    it { expect{ target.ranking = ranking }.not_to raise_error }
  end

  describe "#ranking" do
    before { target.ranking = ranking }
    it { expect(target.ranking).to eq ranking }
  end

  describe "#active?" do
    context "setted ranking" do
      before { target.ranking = ranking }
      it { expect(target).to be_active }
    end

    context "don't set ranking" do
      it { expect(target).not_to be_active }
    end
  end
end
