require 'spec_helper'

describe Almicube::Bundler::YesterdayBundler do
  describe "#name" do
    let(:bundler) { described_class.new }
    it { expect(bundler.name).to eq :yesterday }
  end

  describe "#keys" do
    let(:ranking) { Almicube::Ranking::SubRanking.new(Almicube::Ranking::DataRanking.new) }
    let(:bundler) { described_class.new }
    before { bundler.ranking = ranking }
    it { expect(bundler.keys[0]).to match /:#{(Date.today-1.days).strftime("%Y%m%d")}:/ }
    it { expect(bundler.keys.length).to eq 1 }
  end
end
